# Uses of Class
jdk.jfr.Recording

Packages that use Recording
Package
Description
jdk.jfr
This package provides classes to create events and control Flight Recorder.

## Uses of Recording in jdk.jfr

Methods in jdk.jfr that return Recording
Modifier and Type
Method
Description
`Recording`
Recording.`copy​(boolean stop)`
Returns a clone of this recording, with a new recording ID and name.
`Recording`
FlightRecorder.`takeSnapshot()`
Creates a snapshot of all available recorded data.
Methods in jdk.jfr that return types with arguments of type Recording
Modifier and Type
Method
Description
`List<Recording>`
FlightRecorder.`getRecordings()`
Returns an immutable list of the available recordings.
Methods in jdk.jfr with parameters of type Recording
Modifier and Type
Method
Description
`default void`
FlightRecorderListener.`recordingStateChanged​(Recording recording)`
Receives notification when the state of a recording changes.